%define name offlineimap
%define version 4.0.0
%define release 4mdk

# find the python library directory
%define pylib %(echo -e "from distutils.sysconfig import get_python_lib\\nprint get_python_lib()" | python)

Summary: Powerful IMAP/Maildir synchronization and reader support
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.quux.org/devel/offlineimap/%{name}_%{version}.tar.bz2
License: GPL
Group: Networking/Mail
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Url: http://www.quux.org/devel/offlineimap
Buildrequires: python-devel >= %{pyver} gzip
Requires: python >= %{pyver}

%description
OfflineIMAP is a tool to simplify your e-mail  reading.  With
OfflineIMAP, you can read the same mailbox from multiple computers.
You get a current copy of your messages on each computer, and changes
you make one place will be visible on all other systems. For instance,
you can delete a message on your home computer, and it will appear
deleted on your work computer as well. OfflineIMAP is also useful if
you want to use a mail reader that does not have IMAP support, has poor
IMAP support, or does not provide disconnected operation.

%prep
%setup -q -n %{name}
gzip -9 manual.ps

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp offlineimap.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc UPGRADING README COPYRIGHT ChangeLog
%doc offlineimap.conf*
%doc manual.*
%{_bindir}/offlineimap
%{pylib}/offlineimap
%{_mandir}/man1/offlineimap.1*

%changelog
* Thu Jan 01 2004 Luca Berra <bluca@vodka.it> 4.0.0-4mdk
- guess the python library directory in a portable way
- include all files and directories under the python lib dir

* Sun Sep 14 2003 Michael Scherer <scherer.michael@free.fr> 4.0.0-3mdk 
- BuildRequires python-devel

* Sat Aug  9 2003 Luca Berra <bluca@vodka.it> 4.0.0-2mdk
- updated for python 2.3

* Sun Aug  3 2003 Luca Berra <bluca@vodka.it> 4.0.0-1mdk
- 4.0.0

* Wed Dec  4 2002 Luca Berra <bluca@vodka.it> 3.99.5-1mdk
- initial packaging
- setup.py install does not work, doing things manually
